net.dontdrinkandroot.cluster.edgebetweenness

## Class AbstractEdgeBetweennessClusterer<V,E>

- java.lang.Object
- - net.dontdrinkandroot.cluster.edgebetweenness.AbstractEdgeBetweennessClusterer<V,E>

All Implemented Interfaces:
  EdgeBetweennessClusterer<V,E>

Direct Known Subclasses:
  ConcurrentEdgeBetweennessClusterer, DefaultEdgeBetweennessClusterer

    public abstract class AbstractEdgeBetweennessClusterer<V,E>
    extends Object
    implements EdgeBetweennessClusterer<V,E>

### Constructor Summary

Constructors
Constructor and Description
`AbstractEdgeBetweennessClusterer(edu.uci.ics.jung.graph.Graph<V,E> graph, org.apache.commons.collections15.Transformer<E,Double> weightTransformer)`

### Method Summary

Methods
`protected void` `compute()`
`protected abstract void` `doCompute()`
`EdgeScorer<E>` `getEdgeScorer()`
`Map<E,Double>` `getEdgeScores()`
`edu.uci.ics.jung.graph.Graph<V,E>` `getGraph()`
`org.slf4j.Logger` `getLogger()`
`Set<E>` `getMaxEdges()`
`Set<V>` `getMaxVertices()`
`VertexScorer<V>` `getVertexScorer()`
`Map<V,Double>` `getVertexScores()`
`org.apache.commons.collections15.Transformer<E,Double>` `getWeightTransformer()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractEdgeBetweennessClusterer

    public AbstractEdgeBetweennessClusterer(edu.uci.ics.jung.graph.Graph<V,E> graph,
                                    org.apache.commons.collections15.Transformer<E,Double> weightTransformer)

### Method Detail

#### getMaxEdges

    public final Set<E> getMaxEdges()

Specified by:
  `getMaxEdges` in interface `EdgeBetweennessClusterer<V,E>`

#### getMaxVertices

    public final Set<V> getMaxVertices()

Specified by:
  `getMaxVertices` in interface `EdgeBetweennessClusterer<V,E>`

#### reset

    public final void reset()

Specified by:
  `reset` in interface `EdgeBetweennessClusterer<V,E>`

#### getVertexScores

    public final Map<V,Double> getVertexScores()

Specified by:
  `getVertexScores` in interface `EdgeBetweennessClusterer<V,E>`

#### getEdgeScores

    public final Map<E,Double> getEdgeScores()

Specified by:
  `getEdgeScores` in interface `EdgeBetweennessClusterer<V,E>`

#### getLogger

    public org.slf4j.Logger getLogger()

#### getGraph

    public edu.uci.ics.jung.graph.Graph<V,E> getGraph()

#### getWeightTransformer

    public org.apache.commons.collections15.Transformer<E,Double> getWeightTransformer()

#### getEdgeScorer

    public EdgeScorer<E> getEdgeScorer()

#### getVertexScorer

    public VertexScorer<V> getVertexScorer()

#### compute

    protected void compute()

#### doCompute

    protected abstract void doCompute()